SOGo | BTS

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002281SOGoBackend Address Bookpublic2013-04-03 05:252017-05-30 15:50
ReporterGerhardRecher 
Assigned Toludovic 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version2.0.4b 
Target VersionFixed in Version3.2.10 
Summary0002281: "\r" in Vcard after import from LDIF
DescriptionAfter import of a LDIF file "\r" is appended to email field

if you edit theses entries in SOGo WebInterface, "\r" will vanish.
Additional Informationto reproduce LDIF File:

dn: mail=person@domain.com
objectclass: top
objectclass: person
objectclass: organizationalPerson
objectclass: inetOrgPerson
objectclass: mozillaAbPersonAlpha
mail: person@domain.com
modifytimestamp: 0


Result in sogo Database:

BEGIN:VCARD
UID:5BE-5151E800-3F-2D712180
VERSION:3.0
CLASS:PUBLIC
PROFILE:VCARD
PRODID:-//Inverse inc./SOGo 2.0.4b//EN
EMAIL;TYPE=work:person@domain.com\r
END:VCARD

TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
has duplicate 0002511resolvedludovic r letter appended to every item: names, numbers, etc 

-  Notes
(0005761)
thomasg (reporter)
2013-07-19 06:12

Had the same Problem after an import from my android phone with the CardDav app.
After an app update I couldn't repeat the error with the \r.

To clean up the \r log in on the SQL Server an execute the following code:

UPDATE sogouseradressbook set c_content = replace(c_content,'\\r','') AND c_lastmodified=1374216750
(be sure to update the timestamp)

Be carefull with the sql command and always to a backup first.
User avatar (0006069)
ludovic (administrator)
2013-09-27 16:09

I can't really reproduce that "issue". I've imported the LDF using v2.1 and I get:

sogo=> select c_content from sogosogo10002507fc48f where c_name = '630A-5245E480-3-375D6E80';
                c_content
-----------------------------------------
 BEGIN:VCARD\r +
 UID:630A-5245E480-3-375D6E80\r +
 VERSION:3.0\r +
 CLASS:PUBLIC\r +
 PROFILE:VCARD\r +
 PRODID:-//Inverse inc./SOGo 2.1.0//EN\r+
 EMAIL;TYPE=work:person@domain.com\r +
 END:VCARD
(1 row)

dav:/SOGo/dav/sogo10/Contacts/personal/> cat 630A-5245E480-3-375D6E80
Displaying `/SOGo/dav/sogo10/Contacts/personal/630A-5245E480-3-375D6E80':
BEGIN:VCARD
UID:630A-5245E480-3-375D6E80
VERSION:3.0
CLASS:PUBLIC
PROFILE:VCARD
PRODID:-//Inverse inc./SOGo 2.1.0//EN
EMAIL;TYPE=work:person@domain.com
END:VCARDdav:/SOGo/dav/sogo10/Contacts/personal/>

which is perfectly fine.
(0006082)
Marten Gajda (reporter)
2013-10-03 03:13

Have you tried to download the vCard with a browser? I've received a couple of reports about that.
User avatar (0011887)
ludovic (administrator)
2017-05-30 15:50

https://github.com/inverse-inc/sogo/commit/29dfc75fe94ddbbae012d729eb2d020b953dac27 [^]

- Issue History
Date Modified Username Field Change
2013-04-03 05:25 GerhardRecher New Issue
2013-07-19 06:12 thomasg Note Added: 0005761
2013-09-27 16:09 ludovic Note Added: 0006069
2013-09-27 16:09 ludovic Severity major => minor
2013-10-03 03:13 Marten Gajda Note Added: 0006082
2014-07-25 10:29 Christian Mack Relationship added has duplicate 0002511
2017-05-30 15:50 ludovic Note Added: 0011887
2017-05-30 15:50 ludovic Status new => resolved
2017-05-30 15:50 ludovic Fixed in Version => 3.2.10
2017-05-30 15:50 ludovic Resolution open => fixed
2017-05-30 15:50 ludovic Assigned To => ludovic


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker